config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.sqlrelay.new
preserve_perms etc/rc.d/rc.sqlrcachemanager.new
config etc/sqlrelay/sqlrelay.xsd.new
config etc/sqlrelay/sqlrelay.dtd.new
( cd usr/lib64 ; rm -rf libmysql40sqlrelay-0.59.so.1 )
( cd usr/lib64 ; ln -sf libmysql40sqlrelay-0.59.so.1.0.0 libmysql40sqlrelay-0.59.so.1 )
( cd usr/lib64 ; rm -rf libmysql50sqlrelay.so )
( cd usr/lib64 ; ln -sf libmysql50sqlrelay-0.59.so.1.0.0 libmysql50sqlrelay.so )
( cd usr/lib64 ; rm -rf libmysql3sqlrelay-0.59.so.1 )
( cd usr/lib64 ; ln -sf libmysql3sqlrelay-0.59.so.1.0.0 libmysql3sqlrelay-0.59.so.1 )
( cd usr/lib64 ; rm -rf libmysql41sqlrelay-0.59.so.1 )
( cd usr/lib64 ; ln -sf libmysql41sqlrelay-0.59.so.1.0.0 libmysql41sqlrelay-0.59.so.1 )
( cd usr/lib64 ; rm -rf libmysql40sqlrelay.so )
( cd usr/lib64 ; ln -sf libmysql40sqlrelay-0.59.so.1.0.0 libmysql40sqlrelay.so )
( cd usr/lib64 ; rm -rf libsqlrserver-0.59.so.1 )
( cd usr/lib64 ; ln -sf libsqlrserver-0.59.so.1.0.0 libsqlrserver-0.59.so.1 )
( cd usr/lib64 ; rm -rf libmysql51sqlrelay-0.59.so.1 )
( cd usr/lib64 ; ln -sf libmysql51sqlrelay-0.59.so.1.0.0 libmysql51sqlrelay-0.59.so.1 )
( cd usr/lib64 ; rm -rf libsqlrclient.so )
( cd usr/lib64 ; ln -sf libsqlrclient-0.59.so.1.0.0 libsqlrclient.so )
( cd usr/lib64 ; rm -rf libsqlrodbc.so )
( cd usr/lib64 ; ln -sf libsqlrodbc-0.59.so.1.0.0 libsqlrodbc.so )
( cd usr/lib64 ; rm -rf libpqsqlrelay-0.59.so.1 )
( cd usr/lib64 ; ln -sf libpqsqlrelay-0.59.so.1.0.0 libpqsqlrelay-0.59.so.1 )
( cd usr/lib64 ; rm -rf libmysql51sqlrelay.so )
( cd usr/lib64 ; ln -sf libmysql51sqlrelay-0.59.so.1.0.0 libmysql51sqlrelay.so )
( cd usr/lib64 ; rm -rf libsqlrutil-0.59.so.1 )
( cd usr/lib64 ; ln -sf libsqlrutil-0.59.so.1.0.0 libsqlrutil-0.59.so.1 )
( cd usr/lib64 ; rm -rf libsqlrclientwrapper.so )
( cd usr/lib64 ; ln -sf libsqlrclientwrapper-0.59.so.1.0.0 libsqlrclientwrapper.so )
( cd usr/lib64 ; rm -rf libsqlrodbc-0.59.so.1 )
( cd usr/lib64 ; ln -sf libsqlrodbc-0.59.so.1.0.0 libsqlrodbc-0.59.so.1 )
( cd usr/lib64 ; rm -rf libmysql50sqlrelay-0.59.so.1 )
( cd usr/lib64 ; ln -sf libmysql50sqlrelay-0.59.so.1.0.0 libmysql50sqlrelay-0.59.so.1 )
( cd usr/lib64 ; rm -rf libsqlrclient-0.59.so.1 )
( cd usr/lib64 ; ln -sf libsqlrclient-0.59.so.1.0.0 libsqlrclient-0.59.so.1 )
( cd usr/lib64 ; rm -rf libmysql3sqlrelay.so )
( cd usr/lib64 ; ln -sf libmysql3sqlrelay-0.59.so.1.0.0 libmysql3sqlrelay.so )
( cd usr/lib64 ; rm -rf libmysql41sqlrelay.so )
( cd usr/lib64 ; ln -sf libmysql41sqlrelay-0.59.so.1.0.0 libmysql41sqlrelay.so )
( cd usr/lib64 ; rm -rf libsqlrserver.so )
( cd usr/lib64 ; ln -sf libsqlrserver-0.59.so.1.0.0 libsqlrserver.so )
( cd usr/lib64 ; rm -rf libsqlrclientwrapper-0.59.so.1 )
( cd usr/lib64 ; ln -sf libsqlrclientwrapper-0.59.so.1.0.0 libsqlrclientwrapper-0.59.so.1 )
( cd usr/lib64 ; rm -rf libpqsqlrelay.so )
( cd usr/lib64 ; ln -sf libpqsqlrelay-0.59.so.1.0.0 libpqsqlrelay.so )
( cd usr/lib64 ; rm -rf libsqlrutil.so )
( cd usr/lib64 ; ln -sf libsqlrutil-0.59.so.1.0.0 libsqlrutil.so )
